# Post Purchase
source: https://developer.mastercard.com/pay-with-rewards/documentation/use-cases/post-purchase/index.md

## Short description {#short-description}

In this scenario, Pay with Rewards is off and the cardholder elects instead to receive a notification when there is recent purchase eligible for redemption.

After making a purchase (there is no interruption to the merchant checkout flow), the cardholder receives a notification and can elect to make a redemption.
Additionally, the cardholder can view a list of eligible transactions anytime (getAuthorizations) and select to make a redemption.

Note: For more information on redemption through external point banks, see [integration models](https://developer.mastercard.com/pay-with-rewards/documentation/index.md#integration-models).

## Sequence diagram {#sequence-diagram}

Diagram pwr-post-purchase

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer makes a purchase
2. The customer makes a POST request to the /authorizations endpoint to process the consumer's authorization(transaction). For detailed information on making this call please see [Post Authorizations Documentation](https://developer.mastercard.com/pay-with-rewards/documentation/use-cases/authorizations/post-authorizations/index.md)
3. The consumer logs into the customer's app.
4. The customer authenticates the consumer.
5. The customer makes GET request to the /authorizations endpoint to retrieve a list of the consumer's authorizations. For detailed information on making this call please see [Get Authorizations Documentation](https://developer.mastercard.com/pay-with-rewards/documentation/use-cases/authorizations/get-authorizations/index.md)
6. The consumer redeems points for a past transaction.
7. The customer makes a POST request to the /authorizations/{id}/reprocess endpoint to have the redemption processed for the provided transaction.
8. The request for reprocessing the transaction has the following mandatory request parameters:
   * **id** : Unique transaction identifier created by Mastercard Rewards System.
9. The request for reprocessing the transaction has the following mandatory body parameters:
   * **processedBy** : User or system submitted the reprocess request.
   * **accountId** : Unique identifier of the account.
   * **accountIdType** : Identifier type for the given account such as RANAC.
10. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to Pay with Rewards in the case of a valid customer.
11. The Pay with Rewards service processes the request to redeem the points
12. The Pay with Rewards service redeems the points.
13. The Pay with Rewards service sends a notification to the consumer of the processed redemption.

You will receive an error response for an invalid request or any missing request parameter. In that case, you need to update the input and perform step 3 again.

## Endpoint {#endpoint}


API Reference: `POST /authorizations/{id}/reprocess`

